#ifndef _ACCOUNT_UPDATE_
#define _ACCOUNT_UPDATE_
#include <string>
#include "InputParser.hpp"

class AccountUpdate {
public:
	/// @brief Конструктор
	/// @param parser  - парсер аргументов
	/// @param isRussian - вывод справки на русском
	AccountUpdate(const InputParser& parser, const bool isRussian);
	int Process();
private:
	int ProcessUrl(std::string date, std::string signature, std::string urls);
	int ProcessBitmessage(std::string date, std::string signature, std::string btmsg);
	int ProcessPgp(std::string date, std::string signature, std::string pgp);
	InputParser parser;
	bool isRussian;
	/// @brief Получение справки о параметрах команды    
	int Help();

	/// @brief Обновление данных, url через запятую
	int Update();
	std::string address;
	bool isDebug;
};
#endif